> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tree-nation.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tree-nation.com/_mcp/server.

# Search / list species

GET https://tree-nation.com/api/species

Returns paginated species from affiliated projects. Only complete species with `stock > 0` are returned.


Reference: https://docs.tree-nation.com/api-reference/species/search-species

## Request

### Query parameters

- `id` (integer, optional) — Filter by exact species ID.
- `name` (string, optional) — Filter by name (LIKE match).
- `project_id` (integer, optional) — Filter by project ID.
- `price` (double, optional) — Filter by exact price.
- `price_per_tonne` (double, optional) — Filter by exact price per tonne.
- `life_time_CO2` (double, optional) — Filter by exact lifetime CO₂ value.
- `stock` (integer, optional) — Filter by exact stock level.
- `common_names` (string, optional) — Filter by common names (LIKE match).
- `conservation_status` (string, optional) — Filter by conservation status.
- `particularities` (string, optional) — Filter by particularities (LIKE match).
- `planter_likes` (integer, optional) — Filter by planter likes count.
- `origin_type` (string, optional) — Filter by origin type.
- `invasive_type` (string, optional) — Filter by invasive type.
- `category` (string, optional) — Filter by category name.
- `uses` (string, optional) — Filter by uses (LIKE match).
- `limit` (integer, optional) — Maximum number of results per page.
- `offset` (integer, optional) — Number of results to skip (for pagination).
- `order_by` (enum, optional) — Field to sort results by.
  - Allowed values: `price`, `price_per_tonne`, `life_time_CO2`, `stock`
- `order` (enum, optional) — Sort direction.
  - Allowed values: `asc`, `desc`

## Response

### 200

Paginated species list.

- `result` (list of SpeciesDetails, optional)
- `meta` (SpeciesListResponseMeta, optional)

## Types

### SpeciesDetails

Species fields returned in project species lists.

- `id` (integer, optional)
- `name` (string, optional)
- `project_id` (integer, optional)
- `life_time_CO2` (double, optional) — Estimated lifetime CO₂ sequestration in kg.
- `stock` (integer, optional) — Available stock. Only species with `stock > 0` can be used for planting.
- `price` (double, optional)
- `common_names` (string, optional, nullable)
- `family` (string, optional, nullable)
- `particularities` (string, optional, nullable)
- `planter_likes` (integer, optional, nullable)
- `height` (string, optional, nullable)
- `average_natural_life_span` (integer, optional, nullable)
- `co2_offset` (double, optional, nullable)
- `co2_offset_period` (string, optional, nullable)
- `image` (string, optional, nullable)
- `category` (TaxonomyRef, optional)
- `foliage_type` (TaxonomyRef, optional)
- `origin_type` (TaxonomyRef, optional)
- `price_per_tonne` (double, optional, nullable)

### SpeciesListResponseMeta

- `total` (integer, optional)
- `perPage` (integer, optional)
- `currentPage` (integer, optional)

### TaxonomyRef

- `id` (integer, optional)
- `name` (string, optional)

## Examples

**Response**

```json
{
  "result": [
    {
      "id": 48,
      "name": "Teak",
      "project_id": 3,
      "life_time_CO2": 1.1,
      "stock": 1,
      "price": 1.1,
      "common_names": "string",
      "family": "string",
      "particularities": "string",
      "planter_likes": 1,
      "height": "string",
      "average_natural_life_span": 1,
      "co2_offset": 1.1,
      "co2_offset_period": "string",
      "image": "string",
      "category": {
        "id": 1,
        "name": "string"
      },
      "foliage_type": {
        "id": 1,
        "name": "string"
      },
      "origin_type": {
        "id": 1,
        "name": "string"
      },
      "price_per_tonne": 1.1
    }
  ],
  "meta": {
    "total": 1,
    "perPage": 1,
    "currentPage": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://tree-nation.com/api/species"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://tree-nation.com/api/species';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tree-nation.com/api/species"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tree-nation.com/api/species")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://tree-nation.com/api/species")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://tree-nation.com/api/species');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tree-nation.com/api/species");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://tree-nation.com/api/species")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```